%define	emacsver	21.3
%define xemacsver	21.4

Summary: Gnuplot mode for Emacsen
Name: elisp-gnuplot-mode
Version: 0.6.0
%define momorel 1
Release: %{momorel}m
License: GPL
Group: Applications/Editors
URL: http://feff.phys.washington.edu/~ravel/gnuplot/
Source0: http://feff.phys.washington.edu/~ravel/gnuplot/gnuplot-mode.%{version}.tar.gz
NoSource: 0
Source1: gnuplot-mode.el
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo
Requires: emacsen

%description
This is inspired by the Gnuplot mode originally written by Gershon Elber
and initial versions were written in collaboration with Phil Type. All
of the code in the current version is new and shares only some concepts
with the original mode by Elber.

%package -n gnuplot-mode-emacs
Summary: Gnuplot mode for Emacs
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}

%description -n gnuplot-mode-emacs
This is inspired by the Gnuplot mode originally written by Gershon Elber
and initial versions were written in collaboration with Phil Type. All
of the code in the current version is new and shares only some concepts
with the original mode by Elber.

%package -n gnuplot-mode-xemacs
Summary: Gnuplot mode for XEmacs
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}

%description -n gnuplot-mode-xemacs
This is inspired by the Gnuplot mode originally written by Gershon Elber
and initial versions were written in collaboration with Phil Type. All
of the code in the current version is new and shares only some concepts
with the original mode by Elber.

%prep
%setup -q -n gnuplot-mode.%{version}

%build
%configure
make EMACS=emacs
for i in *.elc; do
    mv $i $i.emacs
done
make EMACS=xemacs
for i in *.elc; do
    mv $i $i.xemacs
done

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/emacs/site-lisp/gnuplot-mode
install -m 644 g*.el %{buildroot}%{_datadir}/emacs/site-lisp/gnuplot-mode
for i in g*.elc.emacs; do
    install -m 644 $i %{buildroot}%{_datadir}/emacs/site-lisp/gnuplot-mode/`basename $i .emacs`
done

mkdir -p %{buildroot}%{_libdir}/xemacs/site-lisp/gnuplot-mode
install -m 644 g*.el %{buildroot}%{_libdir}/xemacs/site-lisp/gnuplot-mode
for i in g*.elc.xemacs; do
    install -m 644 $i %{buildroot}%{_libdir}/xemacs/site-lisp/gnuplot-mode/`basename $i .xemacs`
done

mkdir -p %{buildroot}%{_datadir}/config-sample/%{name}
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/config-sample/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING ChangeLog INSTALL README dot.el dotemacs gpelcard.*
%{_datadir}/config-sample/%{name}

%files -n gnuplot-mode-emacs
%defattr(-, root, root)
%{_datadir}/emacs/site-lisp/gnuplot-mode

%files -n gnuplot-mode-xemacs
%defattr(-, root, root)
%{_libdir}/xemacs/site-lisp/gnuplot-mode

%changelog
* Thu Jun 26 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.0-1m)
- update to 0.6.0
- thanks to Masayuki SANO [Momonga-devel.ja:01796]

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5q-12m)
- rebuild against emacs-21.3

* Mon Dec 2 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5q-11m)
- add BuildPreReq xemacs-sumo

* Wed Mar 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.5q-10k)
- rebuild against emacs-21.2

* Sun Nov 18 2001 Kenta MURATA <muraken2@nifty.com>
- (0.5q-8k)
- add gnuplot-mode.el for config-sample.

* Mon Oct 29 2001 Hidetomo Machi <mcHT@kondara.org>
- (0.5q-6k)
- modify BuildPreReq

* Sat Oct 20 2001 Kazuhiko <kazuhiko@kondara.org>
- (0.5q-4k)
- requires common package

* Sat Oct 20 2001 Kazuhiko <kazuhiko@kondara.org>
- (elisp-gnuplot-mode-0.5q-2k)
- do not be NoSource, since source file may be modified without changing
  name

* Sun Dec  3 2000 KIM Hyeong Cheol <kim@kondara.org>
- (0.5k-3k)
- add URL tag.
- use %{_prefix} macro.

* Wed Nov 22 2000 Yusuke Ono <ono@quake2.kuciv.kyoto-u.ac.jp>
- initial release.
